Bug 155586 - Port update: www/mod_perl2 to 2.0.5
Summary: Port update: www/mod_perl2 to 2.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-apache (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-15 22:10 UTC by dereckson
Modified: 2011-05-22 23:34 UTC (History)
0 users

See Also:


Attachments
file.diff (7.02 KB, patch)
2011-03-15 22:10 UTC, dereckson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2011-03-15 22:10:06 UTC
As Bugzilla 4.0 requires Apache-SizeLimit 0.93+ and mod_perl v2.000005 includes the version 0.95, I prepared a port update.

Please assign this pr to apache@.

Ports changes:
* patch-r760926, patch-lib__ModPerl__BuildMM.pm and patch-src__modules__perl__modperl_apache_compat.h aren't needed anymore, as they have been applied upstream
* Apache-Reload have been included in 2.0.5

As noted in port changes, the following files are to be deleted during commit:
- files/patch-src__modules__perl__modperl_apache_compat.h
- files/patch-lib__ModPerl__BuildMM.pm
- files/patch-r760926

The following entry should be added in UPDATING:

YYYYMMDD:
  AFFECTS: users of www/mod_perl2
  AUTHOR: dereckson@gmail.com

  Apache(2)::Reload is again a part of mod_perl 2.0.5.
  If you're upgrading from 2.0.4, you were invited at port install
  to install the www/p5-Apache-Reload as a workaround.

  You should deinstall it before update the port.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-15 22:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci 2011-03-16 13:53:41 UTC
-                APR::ThreadRWLock.3

I don't think thats correct. I'm betting you didn't try this with a
threaded apr / threaded mpm.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (pgollucci@ridecharge.com)
p: 703.549.2050x206, did: 703.579.6947
Senior System Admin - RideCharge Inc. / TaxiMagic http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

You won't be right 100% of the time,
but
you won't be wrong 100% of the time either.
Comment 3 dfilter service freebsd_committer 2011-05-22 23:05:17 UTC
ohauer      2011-05-22 22:05:07 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_perl2        Makefile distinfo pkg-plist 
  Removed files:
    www/mod_perl2/files  patch-lib__ModPerl__BuildMM.pm 
                         patch-r760926 
                         patch-src__modules__perl__modperl_apache_compat.h 
  Log:
  - update to mod_perl-2.0.5
  
  committed with hat apache@
  
  PR:             ports/155026 ports/155586 ports/157246
  
  Revision  Changes    Path
  1.73      +9 -18     ports/www/mod_perl2/Makefile
  1.31      +2 -2      ports/www/mod_perl2/distinfo
  1.2       +0 -11     ports/www/mod_perl2/files/patch-lib__ModPerl__BuildMM.pm (dead)
  1.2       +0 -47     ports/www/mod_perl2/files/patch-r760926 (dead)
  1.2       +0 -10     ports/www/mod_perl2/files/patch-src__modules__perl__modperl_apache_compat.h (dead)
  1.36      +8 -3      ports/www/mod_perl2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Olli Hauer freebsd_committer 2011-05-22 23:33:32 UTC
State Changed
From-To: open->closed

Committed with minor changes 
Thanks!